[www-client/chromium] Bumped Chromium release to version 14.0.835.124

Simple bump of Chromium to latest release.
This commit is contained in:
Mitch Harder
2011-09-09 11:45:03 -05:00
parent 504bcae87a
commit 36eaaed33f
3 changed files with 42 additions and 476 deletions
+2 -4
View File
@@ -19,10 +19,8 @@ AUX chromium.default 147 RMD160 4c0669585499b94c225e34e985e615d0299b66fb SHA1 1c
AUX chromium.xml 407 RMD160 457374ff72561648d9777ffb3270ad10d864a6be SHA1 65543bfff7d0350d40ba258e61061b0c5579e1f2 SHA256 bc039012f8677468e9ce5df825f9d8096be6deb5813031c86a087c88105096ff
AUX dot-gclient 253 RMD160 a768770d8e6f5b73395451277beea1cc9240fc3a SHA1 3eaf2074da58cfe4f2af3d08f59b27a16fe13dad SHA256 8c5750251ff681044cc584ef3768fe39c56c7877ade5fb9107298734126e62cf
AUX experimental.gyp 92 RMD160 1c86ce8ea3cd4ae83ce416868e493e6263651054 SHA1 1a543f30e8543fbebb7a67ebd8b06f667bfdc0bd SHA256 60ba421744968fcc90359ae55316756d76aaa1a997bb373633e6c7399c9b5e62
DIST chromium-13.0.782.109.tar.bz2 155320890 RMD160 4a42afd1eb7a9f97c4d8207fdf4e2b96b632d8f4 SHA1 2e5df16b074501c851524f2b9c1fa25705740fe4 SHA256 9e0292c5d94eac534fc5078c92547a4f8c0c59e5a8474ea7a39000515c347971
DIST chromium-13.0.782.99.tar.bz2 155452601 RMD160 d562f6d222f8388aed111a0dbeb21375ce50d3d9 SHA1 fac87212b805ef343f398ffcf0bbf93108390d2b SHA256 5bceb6c7dce28573be6e1967e37cc8fc27fc83ff63b15e75680931d3d683fcdc
DIST chromium-14.0.835.124.tar.bz2 155839679 RMD160 2fcc8e8c41e716dfbcedad6150b9279ca05fb428 SHA1 37b4db3bdfdeb77f6102910daf74f363c63a5143 SHA256 a76c7026dd8e023e48adb95b4d84a32814c8dfd7142cceb3572df848f63db8fb
DIST chromium-14.0.835.94.tar.bz2 160412115 RMD160 71cad024796accb58f1dac3a1eac0f179a983873 SHA1 78a597bfe053c1d3e5fe1c5b2784d8275812cc64 SHA256 2bedef7518e5e209dcdc640e4b4a993a78aeade426356901cbef2caa9fa5ecbb
EBUILD chromium-13.0.782.109.ebuild 13314 RMD160 5722e7b04b5f5b897c3fce08b2c53aeb57691527 SHA1 2cf201a763c497b4829bc984deb452306dd29465 SHA256 0b6a6b8a12368b1f4f1c38b844d2d36dd0198d04751cc8992828371bb054b626
EBUILD chromium-13.0.782.99.ebuild 13313 RMD160 9feeceb8e4cb7127e2ff44c43794b5f16b1824fe SHA1 e2fa6ab090e958e867b13ed55916f89c6ef05174 SHA256 63852f7d92a001e76f47e792cade56148c8f5dd4abcf82d3b9e46f8d2b52fa9c
EBUILD chromium-14.0.835.124.ebuild 13284 RMD160 3552a474d9ddff8e244168a66a322945ced182f1 SHA1 f719ef66ef9b35809c0ad58051ccac3650d8073e SHA256 820353ab0c218b2bef1f383cfb0a2eeea6115caf9dfcb8e9f7d13707e5cc7d93
EBUILD chromium-14.0.835.94.ebuild 13286 RMD160 234ae07d2c912fda73b9ed7307458af7f280c0da SHA1 2637a51f4d32cbec3a80653adf21423d9fa46f48 SHA256 6b8d304a973b53ed4433c65b3b749183a744d1613447c4e467a62e1d56eb7666
MISC Reasons 88 RMD160 dfcc1b78a0c3f00fbfa7afca9f7e984bc03f5ff2 SHA1 cdf714b1a818ddd271035c6d4cf8a2abe95ac9be SHA256 3bd291f0ca833b9442661721f5e443d63a0b460da6c7a54694c1eb49e27edaeb
@@ -1,433 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/www-client/chromium/chromium-13.0.782.107.ebuild,v 1.1 2011/08/02 21:26:07 phajdan.jr Exp $
EAPI="3"
PYTHON_DEPEND="2:2.6"
inherit eutils fdo-mime flag-o-matic gnome2-utils linux-info multilib \
pax-utils portability python toolchain-funcs versionator virtualx
DESCRIPTION="Open-source version of Google Chrome web browser"
HOMEPAGE="http://chromium.org/"
SRC_URI="http://build.chromium.org/official/${P}.tar.bz2"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="cups gnome gnome-keyring kerberos xinerama"
# en_US is ommitted on purpose from the list below. It must always be available.
LANGS="am ar bg bn ca cs da de el en_GB es es_LA et fa fi fil fr gu he hi hr
hu id it ja kn ko lt lv ml mr nb nl pl pt_BR pt_PT ro ru sk sl sr sv sw ta te th
tr uk vi zh_CN zh_TW"
for lang in ${LANGS}; do
IUSE+=" linguas_${lang}"
done
RDEPEND="app-arch/bzip2
dev-libs/dbus-glib
>=dev-libs/icu-4.4.1
>=dev-libs/libevent-1.4.13
dev-libs/libxml2[icu]
dev-libs/libxslt
>=dev-libs/nss-3.12.3
gnome? ( >=gnome-base/gconf-2.24.0 )
gnome-keyring? ( >=gnome-base/gnome-keyring-2.28.2 )
>=media-libs/alsa-lib-1.0.19
media-libs/flac
virtual/jpeg
media-libs/libpng
>=media-libs/libvpx-0.9.5
>=media-libs/libwebp-0.1.2
media-libs/speex
cups? ( >=net-print/cups-1.3.11 )
sys-libs/zlib
x11-libs/gtk+:2
x11-libs/libXScrnSaver
x11-libs/libXtst"
DEPEND="${RDEPEND}
dev-lang/perl
dev-lang/yasm
>=dev-util/gperf-3.0.3
>=dev-util/pkgconfig-0.23
>=sys-devel/bison-2.4.3
sys-devel/flex
>=sys-devel/make-3.81-r2
x11-libs/libXinerama
test? (
dev-python/pyftpdlib
dev-python/simplejson
virtual/krb5
)"
RDEPEND+="
kerberos? ( virtual/krb5 )
xinerama? ( x11-libs/libXinerama )
x11-misc/xdg-utils
virtual/ttf-fonts"
gyp_use() {
if [[ $# -lt 2 ]]; then
echo "!!! usage: gyp_use <USEFLAG> <GYPFLAG>" >&2
return 1
fi
if use "$1"; then echo "-D$2=1"; else echo "-D$2=0"; fi
}
egyp() {
set -- build/gyp_chromium --depth=. "${@}"
echo "${@}" >&2
"${@}"
}
# Chromium uses different names for some langs,
# return Chromium name corresponding to a Gentoo lang.
chromium_lang() {
if [[ "$1" == "es_LA" ]]; then
echo "es_419"
else
echo "$1"
fi
}
pkg_setup() {
CHROMIUM_HOME="/usr/$(get_libdir)/chromium-browser"
# Make sure the build system will use the right tools, bug #340795.
tc-export AR CC CXX RANLIB
# Make sure the build system will use the right python, bug #344367.
python_set_active_version 2
python_pkg_setup
# Prevent user problems like bug #348235.
eshopts_push -s extglob
if is-flagq '-g?(gdb)?([1-9])'; then
ewarn "You have enabled debug info (probably have -g or -ggdb in your \$C{,XX}FLAGS)."
ewarn "You may experience really long compilation times and/or increased memory usage."
ewarn "If compilation fails, please try removing -g{,gdb} before reporting a bug."
fi
eshopts_pop
# Warn if the kernel doesn't support features useful for sandboxing,
# bug #363907.
CONFIG_CHECK="~PID_NS ~NET_NS"
check_extra_config
}
src_prepare() {
# Add Sabayon User Agent to browser string
epatch "${FILESDIR}"/${PN}-sabayon-user-agent-11.0.x.patch
# Make sure we don't use bundled libvpx headers.
epatch "${FILESDIR}/${PN}-system-vpx-r4.patch"
# Backport build fix for perl-5.14, bug #372301.
epatch "${FILESDIR}/${PN}-perl-5.14-r0.patch"
# Backport build fix for glibc-2.14, bug #372495.
epatch "${FILESDIR}/${PN}-glibc-2.14-r0.patch"
# Fix build without libgcrypt, bug #373079.
epatch "${FILESDIR}/${PN}-libgcrypt-r0.patch"
# Remove most bundled libraries. Some are still needed.
find third_party -type f \! -iname '*.gyp*' \
\! -path 'third_party/WebKit/*' \
\! -path 'third_party/angle/*' \
\! -path 'third_party/cacheinvalidation/*' \
\! -path 'third_party/cld/*' \
\! -path 'third_party/expat/*' \
\! -path 'third_party/ffmpeg/*' \
\! -path 'third_party/flac/flac.h' \
\! -path 'third_party/gpsd/*' \
\! -path 'third_party/harfbuzz/*' \
\! -path 'third_party/hunspell/*' \
\! -path 'third_party/iccjpeg/*' \
\! -path 'third_party/launchpad_translations/*' \
\! -path 'third_party/leveldb/*' \
\! -path 'third_party/libjingle/*' \
\! -path 'third_party/libphonenumber/*' \
\! -path 'third_party/libvpx/libvpx.h' \
\! -path 'third_party/mesa/*' \
\! -path 'third_party/modp_b64/*' \
\! -path 'third_party/npapi/*' \
\! -path 'third_party/openmax/*' \
\! -path 'third_party/ots/*' \
\! -path 'third_party/protobuf/*' \
\! -path 'third_party/skia/*' \
\! -path 'third_party/speex/speex.h' \
\! -path 'third_party/sqlite/*' \
\! -path 'third_party/tcmalloc/*' \
\! -path 'third_party/tlslite/*' \
\! -path 'third_party/undoview/*' \
\! -path 'third_party/zlib/contrib/minizip/*' \
-delete || die
# Make sure the build system will use the right python, bug #344367.
# Only convert directories that need it, to save time.
python_convert_shebangs -q -r 2 build tools
}
src_configure() {
local myconf=""
# Never tell the build system to "enable" SSE2, it has a few unexpected
# additions, bug #336871.
myconf+=" -Ddisable_sse2=1"
# Use system-provided libraries.
# TODO: use_system_ffmpeg (bug #71931). That makes yasm unneeded.
# TODO: use_system_hunspell (upstream changes needed).
# TODO: use_system_ssl (http://crbug.com/58087).
# TODO: use_system_sqlite (http://crbug.com/22208).
myconf+="
-Duse_system_bzip2=1
-Duse_system_flac=1
-Duse_system_icu=1
-Duse_system_libevent=1
-Duse_system_libjpeg=1
-Duse_system_libpng=1
-Duse_system_libwebp=1
-Duse_system_libxml=1
-Duse_system_speex=1
-Duse_system_vpx=1
-Duse_system_xdg_utils=1
-Duse_system_yasm=1
-Duse_system_zlib=1"
# Optional dependencies.
myconf+="
$(gyp_use cups use_cups)
$(gyp_use gnome use_gconf)
$(gyp_use gnome-keyring use_gnome_keyring)
$(gyp_use gnome-keyring linux_link_gnome_keyring)"
# Enable sandbox.
myconf+="
-Dlinux_sandbox_path=${CHROMIUM_HOME}/chrome_sandbox
-Dlinux_sandbox_chrome_path=${CHROMIUM_HOME}/chrome"
if host-is-pax; then
# Prevent the build from failing (bug #301880). The performance
# difference is very small.
myconf+=" -Dv8_use_snapshot=0"
fi
# Our system ffmpeg should support more codecs than the bundled one
# for Chromium.
# TODO: uncomment when bug #371931 is fixed.
# myconf+=" -Dproprietary_codecs=1"
local myarch="$(tc-arch)"
if [[ $myarch = amd64 ]] ; then
myconf+=" -Dtarget_arch=x64"
elif [[ $myarch = x86 ]] ; then
myconf+=" -Dtarget_arch=ia32"
elif [[ $myarch = arm ]] ; then
# TODO: check this again after
# http://gcc.gnu.org/bugzilla/show_bug.cgi?id=39509 is fixed.
append-flags -fno-tree-sink
myconf+=" -Dtarget_arch=arm -Ddisable_nacl=1 -Dlinux_use_tcmalloc=0"
else
die "Failed to determine target arch, got '$myarch'."
fi
# Make sure that -Werror doesn't get added to CFLAGS by the build system.
# Depending on GCC version the warnings are different and we don't want
# the build to fail because of that.
myconf+=" -Dwerror="
# Avoid a build error with -Os, bug #352457.
replace-flags "-Os" "-O2"
egyp ${myconf} || die
}
src_compile() {
emake chrome chrome_sandbox BUILDTYPE=Release V=1 || die
pax-mark m out/Release/chrome
if use test; then
emake {base,crypto,googleurl,net}_unittests BUILDTYPE=Release V=1 || die
pax-mark m out/Release/{base,crypto,googleurl,net}_unittests
fi
}
src_test() {
# For more info see bug #350349.
local mylocale='en_US.utf8'
if ! locale -a | grep -q "$mylocale"; then
eerror "${PN} requires ${mylocale} locale for tests"
eerror "Please read the following guides for more information:"
eerror " http://www.gentoo.org/doc/en/guide-localization.xml"
eerror " http://www.gentoo.org/doc/en/utf-8.xml"
die "locale ${mylocale} is not supported"
fi
# For more info see bug #370957.
if [[ $UID -eq 0 ]]; then
die "Tests must be run as non-root. Please use FEATURES=userpriv."
fi
# For more info see bug #350347.
LC_ALL="${mylocale}" VIRTUALX_COMMAND=out/Release/base_unittests virtualmake \
'--gtest_filter=-ICUStringConversionsTest.*'
LC_ALL="${mylocale}" VIRTUALX_COMMAND=out/Release/crypto_unittests virtualmake
LC_ALL="${mylocale}" VIRTUALX_COMMAND=out/Release/googleurl_unittests virtualmake
# NetUtilTest: bug #361885.
# UDP: unstable, active development. We should revisit this later.
LC_ALL="${mylocale}" VIRTUALX_COMMAND=out/Release/net_unittests virtualmake \
'--gtest_filter=-NetUtilTest.IDNToUnicode*:NetUtilTest.FormatUrl*:*UDP*'
}
src_install() {
exeinto "${CHROMIUM_HOME}"
doexe out/Release/chrome
doexe out/Release/chrome_sandbox || die
fperms 4755 "${CHROMIUM_HOME}/chrome_sandbox"
# Install Native Client files on platforms that support it.
insinto "${CHROMIUM_HOME}"
case "$(tc-arch)" in
amd64)
doins native_client/irt_binaries/nacl_irt_x86_64.nexe || die
doins out/Release/libppGoogleNaClPluginChrome.so || die
;;
x86)
doins native_client/irt_binaries/nacl_irt_x86_32.nexe || die
doins out/Release/libppGoogleNaClPluginChrome.so || die
;;
esac
newexe "${FILESDIR}"/chromium-launcher-r2.sh chromium-launcher.sh || die
# It is important that we name the target "chromium-browser",
# xdg-utils expect it; bug #355517.
dosym "${CHROMIUM_HOME}/chromium-launcher.sh" /usr/bin/chromium-browser || die
# keep the old symlink around for consistency
dosym "${CHROMIUM_HOME}/chromium-launcher.sh" /usr/bin/chromium || die
# Allow users to override command-line options, bug #357629.
dodir /etc/chromium || die
insinto /etc/chromium
newins "${FILESDIR}/chromium.default" "default" || die
# Support LINGUAS, bug #332751.
local pak
for pak in out/Release/locales/*.pak; do
local pakbasename="$(basename ${pak})"
local pakname="${pakbasename%.pak}"
local langname="${pakname//-/_}"
# Do not issue warning for en_US locale. This is the fallback
# locale so it should always be installed.
if [[ "${langname}" == "en_US" ]]; then
continue
fi
local found=false
local lang
for lang in ${LANGS}; do
local crlang="$(chromium_lang ${lang})"
if [[ "${langname}" == "${crlang}" ]]; then
found=true
break
fi
done
if ! $found; then
ewarn "LINGUAS warning: no ${langname} in LANGS"
fi
done
local lang
for lang in ${LANGS}; do
local crlang="$(chromium_lang ${lang})"
local pakfile="out/Release/locales/${crlang//_/-}.pak"
if [ ! -f "${pakfile}" ]; then
ewarn "LINGUAS warning: no .pak file for ${lang} (${pakfile} not found)"
fi
if ! use linguas_${lang}; then
rm "${pakfile}" || die
fi
done
insinto "${CHROMIUM_HOME}"
doins out/Release/chrome.pak || die
doins out/Release/resources.pak || die
doins -r out/Release/locales || die
doins -r out/Release/resources || die
newman out/Release/chrome.1 chromium.1 || die
newman out/Release/chrome.1 chromium-browser.1 || die
# Chromium looks for these in its folder
# See media_posix.cc and base_paths_linux.cc
# TODO: uncomment when bug #371931 is fixed.
#dosym /usr/$(get_libdir)/libavcodec.so.52 "${CHROMIUM_HOME}" || die
#dosym /usr/$(get_libdir)/libavformat.so.52 "${CHROMIUM_HOME}" || die
#dosym /usr/$(get_libdir)/libavutil.so.50 "${CHROMIUM_HOME}" || die
doexe out/Release/ffmpegsumo_nolink || die
doexe out/Release/libffmpegsumo.so || die
# Install icons and desktop entry.
for SIZE in 16 22 24 32 48 64 128 256 ; do
insinto /usr/share/icons/hicolor/${SIZE}x${SIZE}/apps
newins chrome/app/theme/chromium/product_logo_${SIZE}.png \
chromium-browser.png || die
done
local mime_types="text/html;text/xml;application/xhtml+xml;"
mime_types+="x-scheme-handler/http;x-scheme-handler/https;" # bug #360797
make_desktop_entry chromium-browser "Chromium" chromium-browser \
"Network;WebBrowser"
"MimeType=${mime_types}\nStartupWMClass=chromium-browser"
sed -e "/^Exec/s/$/ %U/" -i "${ED}"/usr/share/applications/*.desktop || die
# Install GNOME default application entry (bug #303100).
if use gnome; then
dodir /usr/share/gnome-control-center/default-apps || die
insinto /usr/share/gnome-control-center/default-apps
doins "${FILESDIR}"/chromium-browser.xml || die
fi
}
pkg_preinst() {
gnome2_icon_savelist
}
pkg_postinst() {
fdo-mime_desktop_database_update
gnome2_icon_cache_update
# For more info see bug #292201, bug #352263, bug #361859.
elog
elog "Depending on your desktop environment, you may need"
elog "to install additional packages to get icons on the Downloads page."
elog
elog "For KDE, the required package is kde-base/oxygen-icons."
elog
elog "For other desktop environments, try one of the following:"
elog " - x11-themes/gnome-icon-theme"
elog " - x11-themes/tango-icon-theme"
# For more info see bug #359153.
elog
elog "Some web pages may require additional fonts to display properly."
elog "Try installing some of the following packages if some characters"
elog "are not displayed properly:"
elog " - media-fonts/arphicfonts"
elog " - media-fonts/bitstream-cyberbit"
elog " - media-fonts/droid"
elog " - media-fonts/ipamonafont"
elog " - media-fonts/ja-ipafonts"
elog " - media-fonts/takao-fonts"
elog " - media-fonts/wqy-microhei"
elog " - media-fonts/wqy-zenhei"
}
pkg_postrm() {
gnome2_icon_cache_update
}
@@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/www-client/chromium/chromium-13.0.782.99.ebuild,v 1.1 2011/07/21 03:07:43 phajdan.jr Exp $
# $Header: /var/cvsroot/gentoo-x86/www-client/chromium/chromium-14.0.835.124.ebuild,v 1.1 2011/09/01 02:40:44 floppym Exp $
EAPI="3"
PYTHON_DEPEND="2:2.6"
@@ -15,7 +15,7 @@ SRC_URI="http://build.chromium.org/official/${P}.tar.bz2"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="cups gnome gnome-keyring kerberos xinerama"
IUSE="cups gnome gnome-keyring kerberos"
# en_US is ommitted on purpose from the list below. It must always be available.
LANGS="am ar bg bn ca cs da de el en_GB es es_LA et fa fi fil fr gu he hi hr
@@ -38,23 +38,24 @@ RDEPEND="app-arch/bzip2
media-libs/flac
virtual/jpeg
media-libs/libpng
>=media-libs/libvpx-0.9.5
>=media-libs/libwebp-0.1.2
media-libs/speex
cups? ( >=net-print/cups-1.3.11 )
cups? (
dev-libs/libgcrypt
>=net-print/cups-1.3.11
)
sys-libs/zlib
x11-libs/gtk+:2
x11-libs/libXinerama
x11-libs/libXScrnSaver
x11-libs/libXtst"
DEPEND="${RDEPEND}
dev-lang/perl
dev-lang/yasm
>=dev-util/gperf-3.0.3
>=dev-util/pkgconfig-0.23
>=sys-devel/bison-2.4.3
sys-devel/flex
>=sys-devel/make-3.81-r2
x11-libs/libXinerama
test? (
dev-python/pyftpdlib
dev-python/simplejson
@@ -62,7 +63,6 @@ DEPEND="${RDEPEND}
)"
RDEPEND+="
kerberos? ( virtual/krb5 )
xinerama? ( x11-libs/libXinerama )
x11-misc/xdg-utils
virtual/ttf-fonts"
@@ -116,21 +116,14 @@ pkg_setup() {
}
src_prepare() {
# bug #374903 - ICU 4.8 compatibility
epatch "${FILESDIR}/${PN}-icu-compatibility-r0.patch"
# Add Sabayon User Agent to browser string
epatch "${FILESDIR}"/${PN}-sabayon-user-agent-11.0.x.patch
# Make sure we don't use bundled libvpx headers.
epatch "${FILESDIR}/${PN}-system-vpx-r4.patch"
# Backport build fix for perl-5.14, bug #372301.
epatch "${FILESDIR}/${PN}-perl-5.14-r0.patch"
# Backport build fix for glibc-2.14, bug #372495.
epatch "${FILESDIR}/${PN}-glibc-2.14-r0.patch"
# Fix build without libgcrypt, bug #373079.
epatch "${FILESDIR}/${PN}-libgcrypt-r0.patch"
# Fix build with system libevent, to be upstreamed.
epatch "${FILESDIR}/${PN}-system-libevent-r0.patch"
# Remove most bundled libraries. Some are still needed.
find third_party -type f \! -iname '*.gyp*' \
@@ -149,19 +142,23 @@ src_prepare() {
\! -path 'third_party/leveldb/*' \
\! -path 'third_party/libjingle/*' \
\! -path 'third_party/libphonenumber/*' \
\! -path 'third_party/libvpx/libvpx.h' \
\! -path 'third_party/libvpx/*' \
\! -path 'third_party/mesa/*' \
\! -path 'third_party/modp_b64/*' \
\! -path 'third_party/npapi/*' \
\! -path 'third_party/openmax/*' \
\! -path 'third_party/ots/*' \
\! -path 'third_party/protobuf/*' \
\! -path 'third_party/sfntly/*' \
\! -path 'third_party/skia/*' \
\! -path 'third_party/speex/speex.h' \
\! -path 'third_party/sqlite/*' \
\! -path 'third_party/tcmalloc/*' \
\! -path 'third_party/tlslite/*' \
\! -path 'third_party/undoview/*' \
\! -path 'third_party/webgl_conformance/*' \
\! -path 'third_party/webrtc/*' \
\! -path 'third_party/yasm/*' \
\! -path 'third_party/zlib/contrib/minizip/*' \
-delete || die
@@ -177,11 +174,19 @@ src_configure() {
# additions, bug #336871.
myconf+=" -Ddisable_sse2=1"
# Disable NaCl temporarily, this tarball doesn't have IRT.
myconf+=" -Ddisable_nacl=1"
# Disable WebRTC until they make PulseAudio dependency optional,
# bug #377847.
myconf+=" -Denable_webrtc=0"
# Use system-provided libraries.
# TODO: use_system_ffmpeg (bug #71931). That makes yasm unneeded.
# TODO: use_system_ffmpeg
# TODO: use_system_hunspell (upstream changes needed).
# TODO: use_system_ssl (http://crbug.com/58087).
# TODO: use_system_sqlite (http://crbug.com/22208).
# TODO: use_system_vpx
myconf+="
-Duse_system_bzip2=1
-Duse_system_flac=1
@@ -192,9 +197,7 @@ src_configure() {
-Duse_system_libwebp=1
-Duse_system_libxml=1
-Duse_system_speex=1
-Duse_system_vpx=1
-Duse_system_xdg_utils=1
-Duse_system_yasm=1
-Duse_system_zlib=1"
# Optional dependencies.
@@ -217,7 +220,6 @@ src_configure() {
# Our system ffmpeg should support more codecs than the bundled one
# for Chromium.
# TODO: uncomment when bug #371931 is fixed.
# myconf+=" -Dproprietary_codecs=1"
local myarch="$(tc-arch)"
@@ -291,17 +293,17 @@ src_install() {
fperms 4755 "${CHROMIUM_HOME}/chrome_sandbox"
# Install Native Client files on platforms that support it.
insinto "${CHROMIUM_HOME}"
case "$(tc-arch)" in
amd64)
doins native_client/irt_binaries/nacl_irt_x86_64.nexe || die
doins out/Release/libppGoogleNaClPluginChrome.so || die
;;
x86)
doins native_client/irt_binaries/nacl_irt_x86_32.nexe || die
doins out/Release/libppGoogleNaClPluginChrome.so || die
;;
esac
# insinto "${CHROMIUM_HOME}"
# case "$(tc-arch)" in
# amd64)
# doins native_client/irt_binaries/nacl_irt_x86_64.nexe || die
# doins out/Release/libppGoogleNaClPluginChrome.so || die
# ;;
# x86)
# doins native_client/irt_binaries/nacl_irt_x86_32.nexe || die
# doins out/Release/libppGoogleNaClPluginChrome.so || die
# ;;
# esac
newexe "${FILESDIR}"/chromium-launcher-r2.sh chromium-launcher.sh || die
@@ -366,10 +368,9 @@ src_install() {
# Chromium looks for these in its folder
# See media_posix.cc and base_paths_linux.cc
# TODO: uncomment when bug #371931 is fixed.
#dosym /usr/$(get_libdir)/libavcodec.so.52 "${CHROMIUM_HOME}" || die
#dosym /usr/$(get_libdir)/libavformat.so.52 "${CHROMIUM_HOME}" || die
#dosym /usr/$(get_libdir)/libavutil.so.50 "${CHROMIUM_HOME}" || die
# dosym /usr/$(get_libdir)/libavcodec.so.52 "${CHROMIUM_HOME}" || die
# dosym /usr/$(get_libdir)/libavformat.so.52 "${CHROMIUM_HOME}" || die
# dosym /usr/$(get_libdir)/libavutil.so.50 "${CHROMIUM_HOME}" || die
doexe out/Release/ffmpegsumo_nolink || die
doexe out/Release/libffmpegsumo.so || die
@@ -382,7 +383,7 @@ src_install() {
local mime_types="text/html;text/xml;application/xhtml+xml;"
mime_types+="x-scheme-handler/http;x-scheme-handler/https;" # bug #360797
make_desktop_entry chromium-browser "Chromium" chromium-browser \
"Network;WebBrowser"
"Network;WebBrowser" \
"MimeType=${mime_types}\nStartupWMClass=chromium-browser"
sed -e "/^Exec/s/$/ %U/" -i "${ED}"/usr/share/applications/*.desktop || die